diff --git a/src/odbc/unittests/transaction2.c b/src/odbc/unittests/transaction2.c
index 25f3dda..b6a9ee4 100644
--- a/src/odbc/unittests/transaction2.c
+++ b/src/odbc/unittests/transaction2.c
@@ -3,7 +3,7 @@
 
 /* Test transaction types */
 
-static char software_version[] = "$Id: transaction2.c,v 1.5 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: transaction2.c,v 1.6 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char odbc_err[256];
@@ -40,16 +40,16 @@ static HSTMT stmt = SQL_NULL_HSTMT;
 static int
 CheckDirtyRead(void)
 {
-	SQLRETURN ret;
+	SQLRETURN RetCode;
 
 	/* transaction 1 try to change a row but not commit */
-	Command(Statement, "UPDATE test_transaction SET t = 'second' WHERE n = 1");
+	Command("UPDATE test_transaction SET t = 'second' WHERE n = 1");
 
 	SWAP_CONN();
 
 	/* second transaction try to fetch uncommited row */
-	ret = CommandWithResult(Statement, "SELECT * FROM test_transaction WHERE t = 'second' AND n = 1");
-	if (ret == SQL_ERROR) {
+	CHKR(CommandWithResult, (Statement, "SELECT * FROM test_transaction WHERE t = 'second' AND n = 1"), "SE");
+	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
 		EndTransaction(SQL_ROLLBACK);
@@ -68,17 +68,17 @@ CheckDirtyRead(void)
 static int
 CheckNonrepeatableRead(void)
 {
-	SQLRETURN ret;
+	SQLRETURN RetCode;
 
 	/* transaction 2 read a row */
 	SWAP_CONN();
-	Command(Statement, "SELECT * FROM test_transaction WHERE t = 'initial' AND n = 1");
+	Command("SELECT * FROM test_transaction WHERE t = 'initial' AND n = 1");
 	SQLMoreResults(Statement);
 
 	/* transaction 1 change a row and commit */
 	SWAP_CONN();
-	ret = CommandWithResult(Statement, "UPDATE test_transaction SET t = 'second' WHERE n = 1");
-	if (ret == SQL_ERROR) {
+	CHKR(CommandWithResult, (Statement, "UPDATE test_transaction SET t = 'second' WHERE n = 1"), "SE");
+	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
 		EndTransaction(SQL_ROLLBACK);
@@ -90,14 +90,14 @@ CheckNonrepeatableRead(void)
 	SWAP_CONN();
 
 	/* second transaction try to fetch commited row */
-	Command(Statement, "SELECT * FROM test_transaction WHERE t = 'second' AND n = 1");
+	Command("SELECT * FROM test_transaction WHERE t = 'second' AND n = 1");
 
 	CHKFetch("S");
 	CHKFetch("No");
 	SQLMoreResults(Statement);
 	EndTransaction(SQL_ROLLBACK);
 	SWAP_CONN();
-	Command(Statement, "UPDATE test_transaction SET t = 'initial' WHERE n = 1");
+	Command("UPDATE test_transaction SET t = 'initial' WHERE n = 1");
 	EndTransaction(SQL_COMMIT);
 	return 1;
 }
@@ -105,17 +105,17 @@ CheckNonrepeatableRead(void)
 static int
 CheckPhantom(void)
 {
-	SQLRETURN ret;
+	SQLRETURN RetCode;
 
 	/* transaction 2 read a row */
 	SWAP_CONN();
-	Command(Statement, "SELECT * FROM test_transaction WHERE t = 'initial'");
+	Command("SELECT * FROM test_transaction WHERE t = 'initial'");
 	SQLMoreResults(Statement);
 
 	/* transaction 1 insert a row that match critera */
 	SWAP_CONN();
-	ret = CommandWithResult(Statement, "INSERT INTO test_transaction(n, t) VALUES(2, 'initial')");
-	if (ret == SQL_ERROR) {
+	CHKR(CommandWithResult, (Statement, "INSERT INTO test_transaction(n, t) VALUES(2, 'initial')"), "SE");
+	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
 		EndTransaction(SQL_ROLLBACK);
@@ -127,7 +127,7 @@ CheckPhantom(void)
 	SWAP_CONN();
 
 	/* second transaction try to fetch commited row */
-	Command(Statement, "SELECT * FROM test_transaction WHERE t = 'initial'");
+	Command("SELECT * FROM test_transaction WHERE t = 'initial'");
 
 	CHKFetch("S");
 	CHKFetch("S");
@@ -135,7 +135,7 @@ CheckPhantom(void)
 	SQLMoreResults(Statement);
 	EndTransaction(SQL_ROLLBACK);
 	SWAP_CONN();
-	Command(Statement, "DELETE test_transaction WHERE n = 2");
+	Command("DELETE test_transaction WHERE n = 2");
 	EndTransaction(SQL_COMMIT);
 	return 1;
 }
@@ -190,34 +190,34 @@ Test(int txn, const char *expected)
 int
 main(int argc, char *argv[])
 {
-	SQLRETURN ret;
+	SQLRETURN RetCode;
 
 	use_odbc_version3 = 1;
 	Connect();
 
 	/* Invalid argument value */
-	ret = SQLSetConnectAttr(Connection, SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ | SQL_TXN_READ_COMMITTED), 0);
+	CHKSetConnectAttr(SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ | SQL_TXN_READ_COMMITTED), 0, "E");
 	ReadError();
-	if (ret != SQL_ERROR || strcmp(odbc_sqlstate, "HY024") != 0) {
+	if (strcmp(odbc_sqlstate, "HY024") != 0) {
 		Disconnect();
 		fprintf(stderr, "Unexpected success\n");
 		return 1;
 	}
 
 	/* here we can't use temporary table cause we use two connection */
-	Command(Statement, "IF OBJECT_ID('test_transaction') IS NOT NULL DROP TABLE test_transaction");
-	Command(Statement, "CREATE TABLE test_transaction(n NUMERIC(18,0) PRIMARY KEY, t VARCHAR(30))");
+	Command("IF OBJECT_ID('test_transaction') IS NOT NULL DROP TABLE test_transaction");
+	Command("CREATE TABLE test_transaction(n NUMERIC(18,0) PRIMARY KEY, t VARCHAR(30))");
 
 	CHKSetStmtAttr(SQL_ATTR_QUERY_TIMEOUT, (SQLPOINTER) 2, 0, "S");
 
 	AutoCommit(SQL_AUTOCOMMIT_OFF);
-	Command(Statement, "INSERT INTO test_transaction(n, t) VALUES(1, 'initial')");
+	Command("INSERT INTO test_transaction(n, t) VALUES(1, 'initial')");
 
 #ifdef ENABLE_DEVELOPING
 	/* test setting with active transaction "Operation invalid at this time" */
-	ret = SQLSetConnectAttr(Connection, SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ), 0);
+	CHKSetConnectAttr(SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ), 0, "E");
 	ReadError();
-	if (ret != SQL_ERROR || strcmp(odbc_sqlstate, "HY011") != 0) {
+	if (strcmp(odbc_sqlstate, "HY011") != 0) {
 		Disconnect();
 		fprintf(stderr, "Unexpected success\n");
 		return 1;
@@ -226,12 +226,12 @@ main(int argc, char *argv[])
 
 	EndTransaction(SQL_COMMIT);
 
-	Command(Statement, "SELECT * FROM test_transaction");
+	Command("SELECT * FROM test_transaction");
 
 	/* test setting with pending data */
-	ret = SQLSetConnectAttr(Connection, SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ), 0);
+	CHKSetConnectAttr(SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ), 0, "E");
 	ReadError();
-	if (ret != SQL_ERROR || strcmp(odbc_sqlstate, "HY011") != 0) {
+	if (strcmp(odbc_sqlstate, "HY011") != 0) {
 		Disconnect();
 		fprintf(stderr, "Unexpected success\n");
 		return 1;
@@ -272,7 +272,7 @@ main(int argc, char *argv[])
 
 	/* Sybase do not accept DROP TABLE during a transaction */
 	AutoCommit(SQL_AUTOCOMMIT_ON);
-	Command(Statement, "DROP TABLE test_transaction");
+	Command("DROP TABLE test_transaction");
 
 	Disconnect();
 	return 0;
diff --git a/src/odbc/unittests/typeinfo.c b/src/odbc/unittests/typeinfo.c
index b15c930..038ac5c 100644
--- a/src/odbc/unittests/typeinfo.c
+++ b/src/odbc/unittests/typeinfo.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: typeinfo.c,v 1.10 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: typeinfo.c,v 1.11 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -88,7 +88,7 @@ DoTest(int version3)
 	SQLSMALLINT type, is_unsigned;
 	SQLINTEGER col_size, min_scale;
 	SQLLEN ind1, ind2, ind3, ind4, ind5, ind6;
-	SQLRETURN retcode;
+	SQLRETURN RetCode;
 	int date_time_supported = 0;
 
 	use_odbc_version3 = version3;
@@ -124,8 +124,8 @@ DoTest(int version3)
 	/* numeric type for data */
 
 	/* test for date/time support */
-	retcode = CommandWithResult(Statement, "select cast(getdate() as date)");
-	if (retcode == SQL_SUCCESS)
+	RetCode = CommandWithResult(Statement, "select cast(getdate() as date)");
+	if (RetCode == SQL_SUCCESS)
 		date_time_supported = 1;
 	SQLCloseCursor(Statement);
 
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index 328914f..e0e6cc6 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.8 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.9 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -68,7 +68,7 @@ TestBinding(int minimun)
 	SQLLEN n_len;
 
 	sprintf(tmp, "DELETE FROM %s", table_name);
-	Command(Statement, tmp);
+	Command(tmp);
 
 	/* insert with SQLPrepare/SQLBindParameter/SQLExecute */
 	sprintf(tmp, "INSERT INTO %s VALUES(?,?,?)", table_name);
@@ -133,14 +133,14 @@ main(int argc, char *argv[])
 
 	/* create test table */
 	sprintf(tmp, "IF OBJECT_ID(N'%s') IS NOT NULL DROP TABLE %s", table_name, table_name);
-	Command(Statement, tmp);
+	Command(tmp);
 	sprintf(tmp, "CREATE TABLE %s (k int, c NCHAR(10), vc NVARCHAR(10))", table_name);
-	Command(Statement, tmp);
+	Command(tmp);
 
 	/* insert with INSERT statements */
 	for (n = 1, p = strings; p[0] && p[1]; p += 2, ++n) {
 		sprintf(tmp, "INSERT INTO %s VALUES (%d,N'%s',N'%s')", table_name, (int) n, p[0], p[1]);
-		Command(Statement, tmp);
+		Command(tmp);
 	}
 
 	/* check rows */
@@ -155,7 +155,7 @@ main(int argc, char *argv[])
 
 	/* cleanup */
 	sprintf(tmp, "IF OBJECT_ID(N'%s') IS NOT NULL DROP TABLE %s", table_name, table_name);
-	Command(Statement, tmp);
+	Command(tmp);
 
 	Disconnect();
 	printf("Done.\n");
diff --git a/src/odbc/unittests/utf8_2.c b/src/odbc/unittests/utf8_2.c
index 7e18402..4304fe5 100755
--- a/src/odbc/unittests/utf8_2.c
+++ b/src/odbc/unittests/utf8_2.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test conversion of Hebrew characters (which have shift sequences) */
-static char software_version[] = "$Id: utf8_2.c,v 1.6 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: utf8_2.c,v 1.7 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -63,16 +63,16 @@ main(int argc, char *argv[])
 	CHKAllocStmt(&Statement, "S");
 
 	/* create test table */
-	Command(Statement, "CREATE TABLE #tmpHebrew (i INT, v VARCHAR(10) COLLATE Hebrew_CI_AI)");
+	Command("CREATE TABLE #tmpHebrew (i INT, v VARCHAR(10) COLLATE Hebrew_CI_AI)");
 
 	/* insert with INSERT statements */
 	for (n = 0, p = strings_hex; p[n]; ++n) {
 		sprintf(tmp, "INSERT INTO #tmpHebrew VALUES(%d, CAST(%s AS NVARCHAR(10)))", n+1, p[n]);
-		Command(Statement, tmp);
+		Command(tmp);
 	}
 
 	/* test conversions in libTDS */
-	Command(Statement, "SELECT v FROM #tmpHebrew");
+	Command("SELECT v FROM #tmpHebrew");
 
 	/* insert with SQLPrepare/SQLBindParameter/SQLExecute */
 	CHKBindCol(1, SQL_C_CHAR, out, sizeof(out), &n_len, "S");
diff --git a/src/odbc/unittests/warning.c b/src/odbc/unittests/warning.c
index b1fd195..8a0d866 100644
--- a/src/odbc/unittests/warning.c
+++ b/src/odbc/unittests/warning.c
@@ -14,7 +14,7 @@
  * inside recordset
  * Sybase do not return warning but test works the same
  */
-static char software_version[] = "$Id: warning.c,v 1.7 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: warning.c,v 1.8 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char one_null_with_warning[] = "select max(a) as foo from (select convert(int, null) as a) as test";
@@ -61,8 +61,8 @@ main(void)
 {
 	Connect();
 
-	Command(Statement, "CREATE TABLE #warning(name varchar(20), value int null)");
-	Command(Statement, "INSERT INTO #warning VALUES('a', NULL)");
+	Command("CREATE TABLE #warning(name varchar(20), value int null)");
+	Command("INSERT INTO #warning VALUES('a', NULL)");
 
 	Test(one_null_with_warning);
 	Test("SELECT SUM(value) FROM #warning");
diff --git a/src/odbc/unittests/wchar.c b/src/odbc/unittests/wchar.c
index d3698e7..a4f5eef 100644
--- a/src/odbc/unittests/wchar.c
+++ b/src/odbc/unittests/wchar.c
@@ -2,7 +2,7 @@
 
 /* test SQL_C_DEFAULT with NCHAR type */
 
-static char software_version[] = "$Id: wchar.c,v 1.2 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: wchar.c,v 1.3 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -16,7 +16,7 @@ main(int argc, char *argv[])
 	Connect();
 
 	CHKBindCol(1, SQL_C_DEFAULT, buf, 100, &ind, "S");
-	Command(Statement, "SELECT CONVERT(NCHAR(10), 'Pippo 123')");
+	Command("SELECT CONVERT(NCHAR(10), 'Pippo 123')");
 
 	/* get data */
 	memset(buf, 0, sizeof(buf));

